<?php
/*
    Articles - GuppY PHP Script - version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alvs,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v1.0 (30 December 2002)  : initial release
      v2.2 (22 April 2003)     : cleanup in the images organization
      v2.3 (27 July 2003)      : bug fix, papers from right articles boxes would not appear when left articles boxes was not active
                                 added charset meta tag in the HTML print friendly version
                                 if no category for article, remove parenthesis in print friendly option
      v2.4 (24 September 2003) : added an icon for articles and news
                                 added react to an article option
                                 added Quick Article Admin Access (by Nicolas Alves)
                                 added number of times an article was read (by Nicolas Alves and Laurent Duveau)
                                 added ReadDoc() function
                                 added ReadDocCounter(), WriteDocCounter() and UpdateDocCounter() functions
                                 added GetCurrentDateTime() and FormatDate() function to ease various date and time formatings
                                 reviewed all Files Read & Write functions
                                 secured transfered parameters
                                 created $typ_[name] variables
      v3.0 (25 February 2004)  : upgraded the printable version (thanks tuture and B@lou)
      v4.0 (06 December 2004)  : added page title (by Jean-Mi)
                                 added alt tags to img and removed border tag for non-linked img (by Isa)
                                 minimal CSS for a print friendly version (by Isa)
                                 added optionnal quick admin and members management(by Nicolas Alves)
*/

header("Pragma: no-cache");
define("CHEMIN", "");
include("inc/includes.inc");

if ($serviz[3] != "on" && $serviz[22] != "on") {
  exit($web143);
}

$pg = strip_tags($pg);
$prt = strip_tags($prt);

if (count(SelectDBFields(TYP_ART,"a",$pg)) == 1) {
  ReadDoc(DBBASE.$pg);
  $countit = 1;
  if ($lng == $lang[0]) {
    $txtart1 = $fieldb1;
    $txtprt = strip_tags($fieldb1);
    $txtart2 = $fieldc1;
    $txtart3 = $fielda1;
  }
  else {
    $txtart1 = $fieldb2;
    $txtprt = strip_tags($fieldb2);
    $txtart2 = $fieldc2;
    $txtart3 = $fielda2;
  }
  $txtart4 = FormatDate($moddate);
  $txtart5 = FormatDate($creadate);
}
else {
  $prt = 0;
  $countit = 0;
  $txtart1 = $web35;
  $txtart2 = $web36;
  $txtart3 = $web37;
  $txtart4 = $web37;
  $txtart5 = $web37;
}
if (!empty($fieldd2)) {
  $txtart1 = "<img src=\"".CHEMIN."img/".$fieldd2."\" align=\"right\" alt=\"".$fieldd2."\">".$txtart1;
}

if (empty($prt)) {
  if (!empty($txtart3))
    $topmess = $txtart3." - ".$txtart1;
  else
    $topmess = $txtart1;
  include("inc/hpage.inc");
  htable($topmess, "100%");
  if ($members[0]=="on" && $userprefs[1]=="" && $members[1]=="on") {
    echo "<p align=\"center\">".$web342."</p><br />";
    echo "<p align=\"center\">[ <a href=\"".CHEMIN."user.php?lng=".$lng."\">".$web343."</a> ]</p><br />";
  }
  else {
    ?>
    <p><? echo $txtart2; ?></p>
    <hr />
    <p style="font-size:smaller"><? echo $web95; ?> <b><? echo $txtart5 ; ?></b><br />
    <? echo $web20; ?> <b><? echo $txtart4 ; ?></b><br />
    <? echo $web21; ?> <b><? echo $txtart3; ?></b>
    <?
    if ($serviz[33] == "on" && $countit == 1) {
      $artcounter = UpdateDocCounter($pg);
      if ($artcounter <= 1) {
        $txtcount = $web188;
      }
      else {
        $txtcount = $web189;
      }
      ?>
      <br /><? echo $web190; ?> <b><? echo $artcounter." ".$txtcount; ?></b></p>
      <?
    }
    else {
      echo "</p>";
    }
    if ($countit == 1) {
      ?>
      <hr /><p align="center">
      <a href="articles.php?lng=<? echo $lng; ?>&amp;pg=<? echo $pg; ?>&amp;prt=1" target="_blank"><img src="inc/img/general/look.gif" border="0" width="16" height="15" alt="<? echo $web264; ?>" title="<? echo $web264; ?>">&nbsp;<? echo $web264; ?></a>
      &nbsp;&nbsp;&nbsp;
      <a href="articles.php?lng=<? echo $lng; ?>&amp;pg=<? echo $pg; ?>&amp;prt=2" target="_blank"><img src="inc/img/general/print.gif" border="0" width="16" height="15" alt="<? echo $web22; ?>" title="<? echo $web22; ?>">&nbsp;<? echo $web22; ?></a>
      </p>
      <?
    }
    if ($serviz[32]=="on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1] && $countit == 1) {
      ?>
      <hr /><p align="right">
      <a href="<? echo CHEMIN; ?>admin/admin.php?lng=<? echo $lng; ?>&amp;pg=art&amp;form=2&amp;id=<? echo $pg; ?>"><img src="<? echo CHEMIN; ?>inc/img/general/edit.gif" border="0" alt="<? echo $web308; ?>" title="<? echo $web308; ?>"></a>
      <a href="<? echo CHEMIN; ?>admin/admin.php?lng=<? echo $lng; ?>&amp;pg=art&amp;act=i&amp;id=<? echo $pg; ?>"><img src="<? echo CHEMIN; ?>inc/img/general/desact.gif" border="0" alt="<? echo $web333; ?>" title="<? echo $web333; ?>"></a>
      <a href="<? echo CHEMIN; ?>admin/admin.php?lng=<? echo $lng; ?>&amp;pg=art&amp;del=<? echo $pg; ?>"><img src="<? echo CHEMIN; ?>inc/img/general/del.gif" border="0" alt="<? echo $web324; ?>" title="<? echo $web324; ?>"></a></p>
      <?
    }
  }
  btable();
  if ($serviz[29] == "on" && $countit == 1) {
    include("inc/boxreact.inc");
  }
  include("inc/bpage.inc");
}
else {
  ?>
  <html>
  <head>
  <title><? echo $site[0]; ?> - <? echo $txtprt; ?> - <? echo $web23; ?></title>
  <meta http-equiv="Content-Type" content="text/html; charset=<? echo $charset; ?>">
  <meta name="Robots" content="NONE">
  <style type="text/css">
    P { font-family: Arial, Helvetica, sans-serif; }
    a { color: <? echo $lien[0]; ?>; text-decoration: underline; }
    a:hover { color: <? echo $lien[1]; ?>; text-decoration: underline; }
  </style>
  <?
  if ($prt == "2") {
    ?>
    <script language="javascript">
    window.print();
    </script>
    <?
  }
  ?>
  </head>
  <body bgcolor="#FFFFFF" text="#000000">
  <h1 align="center"><? echo $site[0]; ?></h1>
  <p align="center"><? echo $site[3]; ?></p>
  <h3 align="center"><? echo $txtprt; if (!empty($txtart3)) { echo " (".$txtart3.")"; } ?><br /></h3>
  <?
  if ($fieldd2 != "") {
    echo "<img src=\"".CHEMIN."img/".$fieldd2."\" alt=\"".$fieldd2."\">";
  }
  ?>
  <p><? echo $txtart2; ?></p>
  </body>
  </html>
  <?
}
?>
